var UserManual_Generalities =
[
    [ "Porting from Eigen2 to Eigen3", "Eigen2ToEigen3.html", [
      [ "Eigen2 compatibility support", "Eigen2ToEigen3.html#CompatibilitySupport", null ],
      [ "The USING_PART_OF_NAMESPACE_EIGEN macro", "Eigen2ToEigen3.html#Using", null ],
      [ "Dot products over complex numbers", "Eigen2ToEigen3.html#ComplexDot", null ],
      [ "Vector blocks", "Eigen2ToEigen3.html#VectorBlocks", null ],
      [ "Matrix Corners", "Eigen2ToEigen3.html#Corners", null ],
      [ "Coefficient wise operations", "Eigen2ToEigen3.html#CoefficientWiseOperations", null ],
      [ "Triangular and self-adjoint matrices", "Eigen2ToEigen3.html#PartAndExtract", null ],
      [ "Triangular in-place solving", "Eigen2ToEigen3.html#TriangularSolveInPlace", null ],
      [ "Matrix decompositions", "Eigen2ToEigen3.html#Decompositions", null ],
      [ "Linear solvers", "Eigen2ToEigen3.html#LinearSolvers", null ],
      [ "Changes in the Geometry module", "Eigen2ToEigen3.html#GeometryModule", null ],
      [ "The Transform class", "Eigen2ToEigen3.html#Transform", null ],
      [ "Lazy evaluation and noalias", "Eigen2ToEigen3.html#LazyVsNoalias", null ],
      [ "Alignment-related macros", "Eigen2ToEigen3.html#AlignMacros", null ],
      [ "Aligned Map objects", "Eigen2ToEigen3.html#AlignedMap", null ],
      [ "STL Containers", "Eigen2ToEigen3.html#StdContainers", null ],
      [ "Internal ei_ prefix", "Eigen2ToEigen3.html#eiPrefix", null ]
    ] ],
    [ "Writing Functions Taking Eigen Types as Parameters", "TopicFunctionTakingEigenTypes.html", [
      [ "Some First Examples", "TopicFunctionTakingEigenTypes.html#TopicFirstExamples", null ],
      [ "How to write generic, but non-templated function?", "TopicFunctionTakingEigenTypes.html#TopicUsingRefClass", null ],
      [ "In which cases do functions taking plain Matrix or Array arguments work?", "TopicFunctionTakingEigenTypes.html#TopicPlainFunctionsWorking", null ],
      [ "In which cases do functions taking a plain Matrix or Array argument fail?", "TopicFunctionTakingEigenTypes.html#TopicPlainFunctionsFailing", null ],
      [ "How to resize matrices in generic implementations?", "TopicFunctionTakingEigenTypes.html#TopicResizingInGenericImplementations", null ],
      [ "Summary", "TopicFunctionTakingEigenTypes.html#TopicSummary", null ]
    ] ],
    [ "Preprocessor directives", "TopicPreprocessorDirectives.html", [
      [ "Macros with major effects", "TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesMajor", null ],
      [ "Assertions", "TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesAssertions", null ],
      [ "Alignment, vectorization and performance tweaking", "TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesPerformance", null ],
      [ "Plugins", "TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesPlugins", null ],
      [ "Macros for Eigen developers", "TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesDevelopers", null ]
    ] ],
    [ "Assertions", "TopicAssertions.html", [
      [ "Assertions", "TopicAssertions.html#PlainAssert", [
        [ "Redefining assertions", "TopicAssertions.html#RedefineAssert", null ],
        [ "Disabling assertions", "TopicAssertions.html#DisableAssert", null ]
      ] ],
      [ "Static assertions", "TopicAssertions.html#StaticAssert", [
        [ "Derived static assertions", "TopicAssertions.html#DerivedStaticAssert", [
          [ "Strict assertions", "TopicAssertions.html#StrictAssertions", null ],
          [ "Permissive assertions", "TopicAssertions.html#PermissiveAssertions", null ]
        ] ],
        [ "Disabling static assertions", "TopicAssertions.html#DisableStaticAssert", null ]
      ] ]
    ] ],
    [ "Customizing/Extending Eigen", "TopicCustomizingEigen.html", [
      [ "Extending MatrixBase (and other classes)", "TopicCustomizingEigen.html#ExtendingMatrixBase", null ],
      [ "Inheriting from Matrix", "TopicCustomizingEigen.html#InheritingFromMatrix", null ],
      [ "Using custom scalar types", "TopicCustomizingEigen.html#CustomScalarType", null ]
    ] ],
    [ "Eigen and multi-threading", "TopicMultiThreading.html", [
      [ "Make Eigen run in parallel", "TopicMultiThreading.html#TopicMultiThreading_MakingEigenMT", null ],
      [ "Using Eigen in a multi-threaded application", "TopicMultiThreading.html#TopicMultiThreading_UsingEigenWithMT", null ]
    ] ],
    [ "Using Intel® Math Kernel Library from Eigen", "TopicUsingIntelMKL.html", [
      [ "Eigen and Intel® Math Kernel Library (Intel® MKL)", "TopicUsingIntelMKL.html#TopicUsingIntelMKL_Intro", null ],
      [ "List of supported features", "TopicUsingIntelMKL.html#TopicUsingIntelMKL_SupportedFeatures", null ],
      [ "Links", "TopicUsingIntelMKL.html#TopicUsingIntelMKL_Links", null ]
    ] ],
    [ "Using Eigen in CUDA kernels", "TopicCUDA.html", null ],
    [ "Common pitfalls", "TopicPitfalls.html", [
      [ "Compilation error with template methods", "TopicPitfalls.html#TopicPitfalls_template_keyword", null ],
      [ "C++11 and the auto keyword", "TopicPitfalls.html#TopicPitfalls_auto_keyword", null ]
    ] ],
    [ "The template and typename keywords in C++", "TopicTemplateKeyword.html", [
      [ "Using the template and typename keywords to define templates", "TopicTemplateKeyword.html#TopicTemplateKeywordToDefineTemplates", null ],
      [ "An example showing the second use of the template keyword", "TopicTemplateKeyword.html#TopicTemplateKeywordExample", null ],
      [ "Explanation", "TopicTemplateKeyword.html#TopicTemplateKeywordExplanation", null ],
      [ "Resources for further reading", "TopicTemplateKeyword.html#TopicTemplateKeywordResources", null ]
    ] ],
    [ "Adding a new expression type", "TopicNewExpressionType.html", [
      [ "The setting", "TopicNewExpressionType.html#TopicSetting", null ],
      [ "Getting started", "TopicNewExpressionType.html#TopicPreamble", null ],
      [ "The traits class", "TopicNewExpressionType.html#TopicTraits", null ],
      [ "The expression class", "TopicNewExpressionType.html#TopicExpression", null ],
      [ "The evaluator", "TopicNewExpressionType.html#TopicEvaluator", null ],
      [ "The entry point", "TopicNewExpressionType.html#TopicEntry", null ],
      [ "A simple main function for testing", "TopicNewExpressionType.html#TopicMain", null ]
    ] ],
    [ "Understanding Eigen", "UserManual_UnderstandingEigen.html", "UserManual_UnderstandingEigen" ]
];